# applyModifierTypeToPlayerPokemon | pokemon-rogue-battle
Documentation for pokemon-rogue-battle

# Function applyModifierTypeToPlayerPokemon

- applyModifierTypeToPlayerPokemon(
  pokemon: PlayerPokemon ,
  modType: PokemonHeldItemModifierType ,
  fallbackModifierType?: PokemonHeldItemModifierType ,
  ): Promise<void>

  Will attempt to add a new modifier to a Pokemon. If the Pokemon already has max stacks of that item, it will instead apply 'fallbackModifierType', if specified.

  #### Parameters

  - pokemon: PlayerPokemon
  - modType: PokemonHeldItemModifierType
  - `Optional` fallbackModifierType: PokemonHeldItemModifierType

  #### Returns Promise<void>

  - Defined in src/data/mystery-encounters/utils/encounter-pokemon-utils.ts:399